The upgrade to UVMS 4.0.15 from UVMS 2.02 does not work

Document ID : KB000086307
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
Error on the uniupgrade.log:

################################
C:\ORSYP\univiewer_server\vmstm2k8sp201_mgtserver\tmp\resources\com\orsyp\migration\ssl_migration.sql 
java.sql.BatchUpdateException: INSERT on table 'UNI_UV_SERVICES' caused a violation of foreign key constraint 'FK_SERVICE_AREA' for key (1). The statement has been rolled back. 
################################  

Patch level detected:Univiewer Management Server 4.0.00
Product Version: Dollar.Universe 6.0.0

Description :The upgrade to UVMS 4.0.15 while having originally installed the version 2.02 does not work
Environment:
OS: All
OS Version: All
Cause:
Cause type:
Defect
Root Cause: N/A
Resolution:
The issue has been fixed on version 4.0.16 of the Univiewer Management Server

Fix Status: Released

Fix Version(s):
Component: Univiewer.Management.Server
Version: Dollar.Universe 6.0.0
Additional Information:
Workaround :
N/A